body {
    font-family: 'Poppins', sans-serif;
    font-size: 16px;
    line-height: 1.6;
    color: #333;
    margin: 0;
    padding: 0;
    background-color: #ffffff;
}
.flex{
    display: flex;
}
.flex-row{
    flex-direction: row;
}
.flex-column{
    flex-direction: column;
}
.max-width{
    max-width: 1200px;
    margin: 0 auto;
}
.container{
    padding-top: 20px;
    gap:20px;
}
.header{
    width: calc(100% - 160px);
    justify-content: space-between;
    padding: 30px 80px;
    border-radius: 20px;
    box-sizing: border-box;
    align-items: center;
}

.white-background{
    background-color: white;
}
.blue-background{
    background-color: #14387F;
}
.first-section img{
    width: 100%;
    border-radius: 60px;
}
.first-section p{
    font-size: 22px;
    padding:0 10%;
    text-align: center;
}
.second-section{
    gap:50px;
}
.second-section a{
    width: 50%;
}
.second-section img{
    border-radius: 45px;
}
.second-section h1{
    font-size:40px;
}
.second-section div{
    width :50%;
    padding: 10px 50px;
    background-image: url("images/grey-background-img.png");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    border-radius: 30px;
    justify-content: space-between;
    padding-bottom: 20px;
    font-size: 20px;
}
.third-section-img{
    width: 100%;
    margin:0 auto;
}
.third-section-img img{
    width: 100%;
    border-radius: 60px;
    object-fit: fill;
}
.two-column-grid{
    background-color: #f9f9f9;
    border-radius:30px;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 30px;
    padding: 0 50px;
    width: calc(100% - 100px);
    box-sizing: border-box;
}
.column ul{
    list-style-type: decimal;
}

.last-section , .footer-wrapper{
    width: 100%;
}
.last-section img{
    width: 100%;
    object-fit: fill;
}
.footer-wrapper{
    background-color: #f9f9f9;
}
.footer{
    align-items: center;
    justify-content: center;
}

.steps-container{
    background-color: #f9f9f9;
    border-radius: 30px;
    padding: 20px 50px;
    width: calc(100% - 100px);
    box-sizing: border-box;
}
.steps-container img{
    border-radius: 30px;
}
.content{
    width: 50%;
}
.steps-container h1{
    margin: 15px 0;
    align-self: center;
}
.steps-container div:first-of-type{
    gap:20px;
}
.step-header {
    font-size: 24px;
    margin-bottom: 20px;
    text-align: left;
}

.content {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 20px;
    opacity: 1;
    transition: opacity 0.3s;
}

.content.fade-out {
    opacity: 0;
}

.content.fade-in {
    opacity: 1;
}
.content button{
    background-color: transparent;
    border: none;
    cursor: pointer;
    font-size: 24px;
    padding: 10px;
}
.step-text{
    font-size: 25px;
    padding-left: 20%;
}
#stepsB .step-text{
    padding-left: 10px;
    padding-right: 20%;
}
.prev.disabled svg,
.next.disabled svg {
  cursor: default;
  opacity: 0.5;
}

/* gjuhet */
.lang-dropdown {
    position: relative;
    width: fit-content;
    user-select: none;
    font-family: inherit;
}


.lang-selected {
    padding: 10px 14px;
    border-radius: 8px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    cursor: pointer;
}

.lang-selected img {
    width: 25px;
    height: 25px;
    margin-right: 8px;
}


.lang-selected .arrow {
    margin-left: auto;
    width: 16px;
    height: 16px;
    object-fit: contain;
}


.lang-options {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    border-radius: 8px;
    margin-top: 4px;
    display: none;
    z-index: 50;
}

.lang-dropdown.open .lang-options {
    display: block;
}

.lang-option {
    padding: 10px 14px;
    display: flex;
    align-items: center;
    gap: 8px;
    cursor: pointer;
}

/* .lang-option:hover {
    background: #eee;
} */

.lang-option img {
    width: 25px;
    height: 25px;
}

@media (max-width:1250px) {
    .max-width{
        margin: 0 20px;
        width: calc(100% - 40px);
    }
}

@media (max-width: 1024px){
    .second-section{
        flex-direction: column;
        align-items: center;
    }
    .second-section div {
        width:100%;
        box-sizing: border-box;
    }
    .content .step-text{
        font-size: 18px;
    }
    .buttons-container svg{
        width: 14px;
        height: 20px;
    } 
    .two-column-grid{
        gap:15px;
        grid-template-columns: 1fr;
        padding: 0 15px
    }

   
}

@media (max-width:800px){
    .header{
        padding: 20px 30px;
    }
    
    .first-section p{
        padding:0 5%;
        text-align: start;
    }
    #stepsB div  {
        flex-direction: column-reverse;
    }
    .steps-container div:first-of-type:not(.buttons-container) ,#stepsB .content{
        flex-direction: column;
    }
    #stepsB .buttons-container{
        flex-direction: row!important;
    }
    /*.step-img , */.content{
        width: 100%;
    }
    .step-img{
        width: 50%;
        align-self: center;
    }
    .steps-container{
        padding:20px 15px
    }
    .step-text , #stepsB .step-text{
        padding:0;
    }
    #stepsA .step-text , #stepsB .step-text{
        padding-left: 20px;
    }
    h1 , .second-section h1{
        font-size: 22px;
    }
    p{
        font-size: 16px!important;
    }
}

@media(max-width:600px){
    .second-section a{
        width: 100%;
    }
    .footer p{
        font-size: 10px!important;
    }
    .header{
        padding: 20px 15px;
        width: calc(100% - 30px);
    }
    .second-section div{
        padding: 10px 25px;
    }
    .step-img{
        width: 100%;
    }
}

@media(max-width:425px){
    .header-left img{
        width: 120px;
    }
}
